# PhasicFlow: mapperNBS< executionSpace >::cellIterator Class Reference

mapperNBS< executionSpace >::cellIterator Class Reference

## Public Member Functions

| cellIterator (ViewType3D< int32, memory_space > head, ViewType1D< int32, memory_space > next)
INLINE_FUNCTION_HD Cells | cellsSize () const
INLINE_FUNCTION_HD int32 | start (IndexType i, IndexType j, IndexType k) const
INLINE_FUNCTION_HD int32 | getNext (int32 n) const

## Private Attributes

HeadType | head_
NextType | next_

## Detailed Description

### template<typename executionSpace>
class pFlow::mapperNBS< executionSpace >::cellIterator

Definition at line 56 of file mapperNBS.hpp.

## Constructor & Destructor Documentation

## cellIterator()

cellIterator | ( | ViewType3D< int32, memory_space > | head,
|  | ViewType1D< int32, memory_space > | next
| ) |  |

inline

Definition at line 65 of file mapperNBS.hpp.

## Member Function Documentation

## cellsSize()

INLINE_FUNCTION_HD Cells cellsSize | ( |  | ) | const

inline

Definition at line 72 of file mapperNBS.hpp.

References mapperNBS< executionSpace >::cellIterator::head_.

## start()

INLINE_FUNCTION_HD int32 start | ( | IndexType | i,
|  | IndexType | j,
|  | IndexType | k
| ) |  | const

inline

Definition at line 76 of file mapperNBS.hpp.

References mapperNBS< executionSpace >::cellIterator::head_.

## getNext()

INLINE_FUNCTION_HD int32 getNext | ( | int32 | n | ) | const

inline

Definition at line 80 of file mapperNBS.hpp.

References n, and mapperNBS< executionSpace >::cellIterator::next_.

## Member Data Documentation

## head_

HeadType head_

private

Definition at line 59 of file mapperNBS.hpp.

Referenced by mapperNBS< executionSpace >::cellIterator::cellsSize(), and mapperNBS< executionSpace >::cellIterator::start().

## next_

NextType next_

private

Definition at line 61 of file mapperNBS.hpp.

Referenced by mapperNBS< executionSpace >::cellIterator::getNext().

The documentation for this class was generated from the following file:

- src/Interaction/contactSearch/methods/mapperNBS.hpp